From 0ad830a8b5fd4be92df9af5c0189c95f9d4ab629 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Fri, 13 Dec 2024 14:14:34 +1100
Subject: [PATCH v1] DOCS: Make the Server Application docs synopses more
 consistent.

---
 doc/src/sgml/ref/initdb.sgml              |  8 ++++----
 doc/src/sgml/ref/pg_createsubscriber.sgml |  4 ++--
 doc/src/sgml/ref/pg_rewind.sgml           | 10 +++++-----
 doc/src/sgml/ref/pg_waldump.sgml          |  4 ++--
 doc/src/sgml/ref/pg_walsummary.sgml       | 14 ++++++++++++--
 doc/src/sgml/ref/pgupgrade.sgml           | 16 ++++++++--------
 6 files changed, 33 insertions(+), 23 deletions(-)

diff --git a/doc/src/sgml/ref/initdb.sgml b/doc/src/sgml/ref/initdb.sgml
index 0c32114..adcbe0b 100644
--- a/doc/src/sgml/ref/initdb.sgml
+++ b/doc/src/sgml/ref/initdb.sgml
@@ -25,10 +25,10 @@ PostgreSQL documentation
    <arg rep="repeat"><replaceable>option</replaceable></arg>
    <group choice="plain">
     <group choice="opt">
-     <arg choice="plain"><option>--pgdata</option></arg>
      <arg choice="plain"><option>-D</option></arg>
+     <arg choice="plain"><option>--pgdata</option></arg>
     </group>
-    <replaceable> directory</replaceable>
+    <replaceable>datadir</replaceable>
    </group>
   </cmdsynopsis>
  </refsynopsisdiv>
@@ -190,8 +190,8 @@ PostgreSQL documentation
      </varlistentry>
 
      <varlistentry id="app-initdb-option-pgdata">
-      <term><option>-D <replaceable class="parameter">directory</replaceable></option></term>
-      <term><option>--pgdata=<replaceable class="parameter">directory</replaceable></option></term>
+      <term><option>-D <replaceable class="parameter">datadir</replaceable></option></term>
+      <term><option>--pgdata=<replaceable class="parameter">datadir</replaceable></option></term>
       <listitem>
        <para>
         This option specifies the directory where the database cluster
diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index df1a92b..61a5d0b 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -96,8 +96,8 @@ PostgreSQL documentation
     </varlistentry>
 
     <varlistentry>
-     <term><option>-D <replaceable class="parameter">directory</replaceable></option></term>
-     <term><option>--pgdata=<replaceable class="parameter">directory</replaceable></option></term>
+     <term><option>-D <replaceable class="parameter">datadir</replaceable></option></term>
+     <term><option>--pgdata=<replaceable class="parameter">datadir</replaceable></option></term>
      <listitem>
       <para>
        The target directory that contains a cluster directory from a physical
diff --git a/doc/src/sgml/ref/pg_rewind.sgml b/doc/src/sgml/ref/pg_rewind.sgml
index dc039d8..817f85b 100644
--- a/doc/src/sgml/ref/pg_rewind.sgml
+++ b/doc/src/sgml/ref/pg_rewind.sgml
@@ -28,9 +28,9 @@ PostgreSQL documentation
      <arg choice="plain"><option>-D</option></arg>
      <arg choice="plain"><option>--target-pgdata</option></arg>
     </group>
-    <replaceable> directory</replaceable>
+    <replaceable>datadir</replaceable>
     <group choice="req">
-     <arg choice="plain"><option>--source-pgdata=<replaceable>directory</replaceable></option></arg>
+     <arg choice="plain"><option>--source-pgdata=<replaceable>datadir</replaceable></option></arg>
      <arg choice="plain"><option>--source-server=<replaceable>connstr</replaceable></option></arg>
     </group>
    </group>
@@ -142,8 +142,8 @@ PostgreSQL documentation
 
     <variablelist>
      <varlistentry>
-      <term><option>-D <replaceable class="parameter">directory</replaceable></option></term>
-      <term><option>--target-pgdata=<replaceable class="parameter">directory</replaceable></option></term>
+      <term><option>-D <replaceable class="parameter">datadir</replaceable></option></term>
+      <term><option>--target-pgdata=<replaceable class="parameter">datadir</replaceable></option></term>
       <listitem>
        <para>
         This option specifies the target data directory that is synchronized
@@ -154,7 +154,7 @@ PostgreSQL documentation
      </varlistentry>
 
      <varlistentry>
-      <term><option>--source-pgdata=<replaceable class="parameter">directory</replaceable></option></term>
+      <term><option>--source-pgdata=<replaceable class="parameter">datadir</replaceable></option></term>
       <listitem>
        <para>
         Specifies the file system path to the data directory of the source
diff --git a/doc/src/sgml/ref/pg_waldump.sgml b/doc/src/sgml/ref/pg_waldump.sgml
index ce23add..d1715ff 100644
--- a/doc/src/sgml/ref/pg_waldump.sgml
+++ b/doc/src/sgml/ref/pg_waldump.sgml
@@ -22,8 +22,8 @@ PostgreSQL documentation
  <refsynopsisdiv>
   <cmdsynopsis>
    <command>pg_waldump</command>
-   <arg rep="repeat" choice="opt"><option>option</option></arg>
-   <arg choice="opt"><option>startseg</option><arg choice="opt"><option>endseg</option></arg></arg>
+   <arg rep="repeat" choice="opt"><replaceable>option</replaceable></arg>
+   <arg choice="opt"><replaceable>startseg</replaceable><arg choice="opt"><replaceable>endseg</replaceable></arg></arg>
   </cmdsynopsis>
  </refsynopsisdiv>
 
diff --git a/doc/src/sgml/ref/pg_walsummary.sgml b/doc/src/sgml/ref/pg_walsummary.sgml
index 57b2d24..9bc1b7a 100644
--- a/doc/src/sgml/ref/pg_walsummary.sgml
+++ b/doc/src/sgml/ref/pg_walsummary.sgml
@@ -23,7 +23,7 @@ PostgreSQL documentation
   <cmdsynopsis>
    <command>pg_walsummary</command>
    <arg rep="repeat" choice="opt"><replaceable>option</replaceable></arg>
-   <arg rep="repeat"><replaceable>file</replaceable></arg>
+   <arg rep="repeat"><replaceable>filename</replaceable></arg>
   </cmdsynopsis>
  </refsynopsisdiv>
 
@@ -31,7 +31,7 @@ PostgreSQL documentation
   <title>Description</title>
   <para>
    <application>pg_walsummary</application> is used to print the contents of
-   WAL summary files. These binary files are found with the
+   WAL summary files. These binary files are found in the
    <literal>pg_wal/summaries</literal> subdirectory of the data directory,
    and can be converted to text using this tool. This is not ordinarily
    necessary, since WAL summary files primarily exist to support
@@ -57,6 +57,16 @@ PostgreSQL documentation
    <para>
     <variablelist>
      <varlistentry>
+      <term><replaceable class="parameter">filename</replaceable></term>
+      <listitem>
+       <para>
+        A binary WAL summary file, found in the <literal>pg_wal/summaries</literal>
+        subdirectory of the data directory.
+       </para>
+      </listitem>
+     </varlistentry>
+
+     <varlistentry>
       <term><option>-i</option></term>
       <term><option>--individual</option></term>
       <listitem>
diff --git a/doc/src/sgml/ref/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
index 4777381..be48ded 100644
--- a/doc/src/sgml/ref/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -81,15 +81,15 @@ PostgreSQL documentation
     <variablelist>
 
      <varlistentry>
-      <term><option>-b</option> <replaceable>bindir</replaceable></term>
-      <term><option>--old-bindir=</option><replaceable>bindir</replaceable></term>
+      <term><option>-b</option> <replaceable>oldbindir</replaceable></term>
+      <term><option>--old-bindir=</option><replaceable>oldbindir</replaceable></term>
       <listitem><para>the old PostgreSQL executable directory;
       environment variable <envar>PGBINOLD</envar></para></listitem>
      </varlistentry>
 
      <varlistentry>
-      <term><option>-B</option> <replaceable>bindir</replaceable></term>
-      <term><option>--new-bindir=</option><replaceable>bindir</replaceable></term>
+      <term><option>-B</option> <replaceable>newbindir</replaceable></term>
+      <term><option>--new-bindir=</option><replaceable>newbindir</replaceable></term>
       <listitem><para>the new PostgreSQL executable directory;
       default is the directory where <application>pg_upgrade</application> resides;
       environment variable <envar>PGBINNEW</envar></para></listitem>
@@ -102,15 +102,15 @@ PostgreSQL documentation
      </varlistentry>
 
      <varlistentry>
-      <term><option>-d</option> <replaceable>configdir</replaceable></term>
-      <term><option>--old-datadir=</option><replaceable>configdir</replaceable></term>
+      <term><option>-d</option> <replaceable>oldconfigdir</replaceable></term>
+      <term><option>--old-datadir=</option><replaceable>oldconfigdir</replaceable></term>
       <listitem><para>the old database cluster configuration directory; environment
       variable <envar>PGDATAOLD</envar></para></listitem>
      </varlistentry>
 
      <varlistentry>
-      <term><option>-D</option> <replaceable>configdir</replaceable></term>
-      <term><option>--new-datadir=</option><replaceable>configdir</replaceable></term>
+      <term><option>-D</option> <replaceable>newconfigdir</replaceable></term>
+      <term><option>--new-datadir=</option><replaceable>newconfigdir</replaceable></term>
       <listitem><para>the new database cluster configuration directory; environment
       variable <envar>PGDATANEW</envar></para></listitem>
      </varlistentry>
-- 
1.8.3.1

